/* DO NOT EDIT THIS FILE - it is machine generated */
#include <jni.h>
/* Header for class com_serialport_SerialportJNI */

#ifndef _Included_com_serialport_SerialportJNI
#define _Included_com_serialport_SerialportJNI
#ifdef __cplusplus
extern "C" {
#endif


/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrOpenSerialScan1D
 * Signature: (Ljava/lang/String;II)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrOpenSerialScan1D
  (JNIEnv *, jobject, jstring, jint, jint);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrCloseSerialScan
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrCloseSerialScan
  (JNIEnv *, jobject);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrOpenScanner1D
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrOpenScanner1D
  (JNIEnv *, jobject);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrReadScanner1D
 * Signature: ([B[B)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrReadScanner1D
  (JNIEnv *, jobject, jbyteArray, jbyteArray);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrStopScan1D
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrStopScan1D
  (JNIEnv *, jobject);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrOpenSerialScan2D
 * Signature: (Ljava/lang/String;I)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrOpenSerialScan2D
  (JNIEnv *, jobject, jstring, jint);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrOpenScanner2D
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrOpenScanner2D
  (JNIEnv *, jobject);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    WIrReadScanner2D
 * Signature: ([B)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_WIrReadScanner2D
  (JNIEnv *, jobject, jbyteArray);


/*
 * Class:     com_serialport_SerialportJNI
 * Method:    Rc663_HFConnect
 * Signature: (Ljava/lang/String;I)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_Rc663_1HFConnect
  (JNIEnv *, jobject, jstring, jint);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    Rc663_HFDisconnect
 * Signature: ()I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_Rc663_1HFDisconnect
  (JNIEnv *, jobject);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    Rc663_HFInit
 * Signature: (I)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_Rc663_1HFInit
  (JNIEnv *, jobject, jint);

/*
 * Class:     com_serialport_SerialportJNI
 * Method:    Rc663_HFGetUid
 * Signature: ([B[B)I
 */
JNIEXPORT jint JNICALL Java_com_serialport_SerialportJNI_Rc663_1HFGetUid
  (JNIEnv *, jobject, jbyteArray, jbyteArray);

#ifdef __cplusplus
}
#endif
#endif
